summaryrefslogtreecommitdiffstats
path: root/source/l/gcr/gcr.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gcr/gcr.SlackBuild')
-rwxr-xr-xsource/l/gcr/gcr.SlackBuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/source/l/gcr/gcr.SlackBuild b/source/l/gcr/gcr.SlackBuild
index 857116c79..7325aa2c5 100755
--- a/source/l/gcr/gcr.SlackBuild
+++ b/source/l/gcr/gcr.SlackBuild
@@ -1,8 +1,7 @@
#!/bin/bash
-# Slackware build script for gcr
-
# Copyright 2012 Robby Workman, Northport, Alabama, USA
+# Copyright 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gcr
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -80,6 +79,9 @@ find . \
# meson.
zcat $CWD/gcr.meson.disable.schemas-compile.update-mime.update-icon-cache.diff.gz | patch -p1 --verbose || exit 1
+# Fix for recent meson:
+zcat $CWD/b3ca1d02bb0148ca787ac4aead164d7c8ce2c4d8.patch.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"